It worked well until FF v6 Rated 4 out of 5 stars

It does work, but NOT on Firefox 6

and the website is 2010
and even mentions compatibility until FF 3.2

This really needs updating please!

This review is for a previous version of the add-on (1.6.5.4).